<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/CreateCategory.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">CreateCategory.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="CreateCategory_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">import</span> QtQuick 2.0</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;import QtGraphicalEffects 1.0</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;MouseArea {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    height: 30</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    propagateComposedEvents: <span class="keyword">true</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    GridView {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        id: catgrid</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        anchors.margins: 5</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="comment">//anchors.leftMargin: 10</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="comment">//anchors.rightMargin: 10</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        height: parent.height</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        clip: <span class="keyword">true</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        cellWidth: cellHeight * 2.9</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        cellHeight: 35</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="comment">//focus: true</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="comment">//interactive: true</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        <span class="comment">//flow: (horFlick) ? GridView.FlowTopToBottom : none</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="comment">//layoutDirection: Qt.LeftToRight</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="comment">//verticalLayoutDirection: Grid.TopToBottom</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        snapMode: GridView.SnapToRow</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        flickableDirection: Flickable.VerticalFlick</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        delegate: component2Category</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        model: listModelCreate</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    }</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    ListModel</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        id: listModelCreate</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        Component.onCompleted: {</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            var list = db.selectAllTuples(2, catsTable)</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            var i = 1</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <span class="keywordflow">if</span> (list[0] &gt; 1)</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;                <span class="keywordflow">for</span> (; i &lt; list[0];) {</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;                    append({cat: list[i], colorCat: list[i + 1], checked1 : <span class="keyword">false</span>})</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                    i = i + 2</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;                }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            }</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        }</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    }</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keyword">function</span> addingElement(cat, colorCat)</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    {</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        listModelCreate.append({cat: cat, colorCat: colorCat, checked1 : <span class="keyword">false</span>})</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    }</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keyword">function</span> removeElement(cat)</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    {</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; listModelCreate.count;i++)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            <span class="keywordflow">if</span> (listModelCreate.get(i).cat === cat)</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            {</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;                listModelCreate.remove(i)</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;                <span class="keywordflow">break</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            }</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        }</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    }</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">function</span> selectCheckedCats() {</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        var list = <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; listModelCreate.count;i++)</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        {</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <span class="keywordflow">if</span> (listModelCreate.get(i).checked1)</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            {</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                list += listModelCreate.get(i).cat + <span class="stringliteral">&quot;,&quot;</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            }</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        }</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <span class="keywordflow">if</span> (list.length &gt; 0)</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            list = list.substr(0, list.length - 1)</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        console.log(list)</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keywordflow">return</span> list</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keyword">function</span> clearChecked() {</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keywordflow">for</span> (let k = 0; k &lt; listModelCreate.count;k++)</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        {</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            listModelCreate.get(k).checked1 = <span class="keyword">false</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        }</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    }</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keyword">function</span> makeChecked(categories) {</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160; </div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        var has</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keywordflow">for</span> (let k = 0; k &lt; listModelCreate.count;k++)</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        {</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            has = <span class="keyword">false</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;            <span class="keywordflow">for</span> (var j in categories)</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            {</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                <span class="keywordflow">if</span> (categories[j] === listModelCreate.get(k).cat)</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                {</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;                    listModelCreate.get(k).checked1 = <span class="keyword">true</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;                    has = <span class="keyword">true</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;                    <span class="keywordflow">break</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;                }</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            }</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            <span class="keywordflow">if</span> (!has)</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;                listModelCreate.get(k).checked1 = <span class="keyword">false</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        }</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160; </div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160; </div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    }</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keyword">function</span> findCategory(cat) {</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; listModelCreate.count; i++)</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        {</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            <span class="keywordflow">if</span> (db.toLower(cat) === db.toLower(listModelCreate.get(i).cat))</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                <span class="keywordflow">return</span> listModelCreate.get(i).colorCat</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        }</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    }</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160; </div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    Component {</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        id: component2Category</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160; </div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        Rectangle {</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;            width: catgrid.cellWidth - 7</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            height: catgrid.cellHeight - 3</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            color: colorCat</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;            radius: 5</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            TextArea{</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;                id: catText</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;                anchors.top: parent.top</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;                anchors.left: parent.left</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;                width: parent.width - 30</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;                height: parent.height</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;                text: cat.substr(0,8) + ((cat.length &gt; 8) ? <span class="stringliteral">&quot;...&quot;</span> : <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;                <span class="comment">// anchors.horizontalCenter: parent.horizontalCenter</span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                clip: <span class="keyword">false</span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;                horizontalAlignment: Text.AlignLeft</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;                verticalAlignment: Text.AlignVCenter</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;                enabled: <span class="keyword">false</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160; </div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;                anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;                font.pointSize: 9</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;                color: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160; </div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;                <span class="comment">// ScrollBar.vertical: null</span></div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;            }</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160; </div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;            CheckBox {</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;                id: check</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;                <span class="comment">//checked: false</span></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;                scale: 0.5</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;                anchors.right: parent.right</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;                anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;                <span class="comment">//anchors.rightMargin: 5</span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;                anchors.top: parent.top</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;                anchors.topMargin: 3</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;                checked: (checked1) ? <span class="keyword">true</span> : <span class="keyword">false</span></div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;                indicator: Rectangle {</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;                    implicitWidth: 26</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;                    implicitHeight: 26</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;                    color:<span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;                    opacity: 0.7</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;                    Rectangle {</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;                        width: 14</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;                        height: 14</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;                        anchors.horizontalCenter: parent.horizontalCenter</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;                        anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;                        color: <span class="stringliteral">&quot;black&quot;</span></div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;                        opacity: 0.8</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;                        visible: check.checked</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                    }</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;                }</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;                onCheckedChanged: {</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;                    <span class="keywordflow">if</span> (checked)</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;                    {</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;                        listModelCreate.get(index).checked1 = <span class="keyword">true</span></div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160; </div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;                        guide_nw.anchors.topMargin = selectSearchCategory.height + 10</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;                        guide_nw.prompt_text = qsTr(<span class="stringliteral">&quot;Enter note&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;                    }</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;                    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;                    {</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;                        listModelCreate.get(index).checked1 = <span class="keyword">false</span></div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;                    }</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;                }</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160; </div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;            }</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160; </div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;        }</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160; </div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    }</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160; </div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassCreateCategory_html"><div class="ttname"><a href="classCreateCategory.html">CreateCategory</a></div><div class="ttdoc">Грид со всеми возможными категориями для добавления в заметку</div><div class="ttdef"><b>Definition:</b> <a href="CreateCategory_8qml_source.html#l00015">CreateCategory.qml:15</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
